| Nano103 BSP V3.01.002 The Board Support Package for Nano103 Series

Macros | Functions | Variables
system_Nano103.h File Reference

Nano103 system clock definition file. More...

Go to the source code of this file.

## Macros
#define | __HXT (12000000UL)
#define | __LXT (32768UL)
#define | __HIRC12M (12000000UL)
#define | __HIRC16M (16000000UL)
#define | __LIRC (10000UL)
#define | __HIRC36M (36000000UL)
#define | __MIRC (4000000UL)
#define | __HIRC __HIRC12M /* HIRC0 at 12MHz as default HIRC*/
#define | __HSI (__HIRC12M) /* Factory Default is internal 12MHz */

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...
uint32_t | SysGet_PLLClockFreq (void)
| Calculate current PLL clock frequency. More...

## Variables
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs

## Detailed Description

Nano103 system clock definition file.

Version
  V1.00

Revision
  3

Date
  15/12/03 5:44p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2015 Nuvoton Technology Corp. All rights reserved.

Definition in file system_Nano103.h.

## Macro Definition Documentation

## ◆ __HIRC

#define __HIRC __HIRC12M /* HIRC0 at 12MHz as default HIRC*/

Definition at line 33 of file system_Nano103.h.

## ◆ __HIRC12M

#define __HIRC12M (12000000UL)

High Speed Inernal Crystal 0 Clock Frequency 12MHz

Definition at line 28 of file system_Nano103.h.

## ◆ __HIRC16M

#define __HIRC16M (16000000UL)

High Speed Inernal Crystal 0 Clock Frequency 16MHz

Definition at line 29 of file system_Nano103.h.

## ◆ __HIRC36M

#define __HIRC36M (36000000UL)

High Speed Inernal Crystal 1 Clock Frequency 36MHz

Definition at line 31 of file system_Nano103.h.

## ◆ __HSI

#define __HSI (__HIRC12M) /* Factory Default is internal 12MHz */

Definition at line 34 of file system_Nano103.h.

## ◆ __HXT

#define __HXT (12000000UL)

High Speed External Crystal Clock Frequency 12MHz

Definition at line 26 of file system_Nano103.h.

## ◆ __LIRC

#define __LIRC (10000UL)

Low Speed Internal 10kHz RC Oscillator Frequency

Definition at line 30 of file system_Nano103.h.

## ◆ __LXT

#define __LXT (32768UL)

Low Speed External Crystal Clock Frequency 32.768kHz

Definition at line 27 of file system_Nano103.h.

## ◆ __MIRC

#define __MIRC (4000000UL)

Medium Speed Inernal Crystal Clock Frequency 4MHz

Definition at line 32 of file system_Nano103.h.

## Function Documentation

## ◆ SysGet_PLLClockFreq()

uint32_t SysGet_PLLClockFreq | ( | void |  | ) |

Calculate current PLL clock frequency.

Parameters

  None. |

Returns
  PLL clock frequency. The clock UNIT is in Hz.

Definition at line 28 of file system_Nano103.c.

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Parameters

  None |

Returns
  None

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Parameters

  None. |

Return values

  None. |

Definition at line 134 of file system_Nano103.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs

Cycles per micro second

Definition at line 21 of file system_Nano103.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)

Definition at line 20 of file system_Nano103.c.